<?php

namespace App\Models;

use App\Traits\UuidTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProposalUrl extends Model
{
    use HasFactory;
    use UuidTrait;

    protected $table = 'proposal_url';
    protected $primaryKey = 'id';
    public $incrementing = false;
    protected $keyType = 'string';

    protected $fillable = [
        'id',
        'url',
        'nama',
        'deskripsi',
        'proposal_id',
        'created_at',
        'updated_at',
    ];
}
